# $Revision: 1.8 $, $Date: 2002/10/29 23:57:15 $
Summary:	An outgoing mail processor, and the SMTP tunnel
Summary(pl):	Preprocesor wychodzcej poczty i tunel SMTP
Name:		anubis
Version:	3.4.6
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	http://prdownloads.sourceforge.net/anubis/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-info.patch
URL:		http://anubis.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpgme-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	texinfo
PreReq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anubis is an outgoing mail processor. It goes between the MUA (Mail User Agent)
and the MTA (Mail Transport Agent), and can perform on the fly various sorts of
processing and conversion on the outgoing mail in accord with the sender's
specified rules, based on a highly configurable regular expressions system.
It operates as a proxy server, independently from mail user agents.
Anubis can edit outgoing mail headers, encrypt and/or sign mail with the
GNU Privacy Guard, build secure SMTP tunnels (Simple Mail Transport Protocol)
using the TLS/SSL encryption even if your mail user agent doesn't support it,
or tunnel a connection through a SOCKS proxy or WinGate proxy server. Moreover,
Anubis supports the remailers (it allows sending mail in an anonymous way).

%description -l pl
Anubis zajmuje si przetwarzaniem poczty wychodzcej. Znajduje si on pomidzy
MUA (Mail User Agent) i MTA (Mail Transport Agent) i moe wykonywa w locie
rzne rodzaje przetwarzania i konwersji poczty wychodzcej zalenie od
podanych regu, bazujcych na wysoce konfigurowalnym systemie wyrae
regularnych.
Anubis dziaa jako serwer proxy, niezalenie od programw pocztowych.
Potrafi on zmienia nagowki listw, szyfowa lb podpisywa jest przy pomocy
GNU Privacy Guard, tworzy bezpieczne tunele SMTP uywajc szyfrowania TLS/SSL
nawet, gdy Twj program pocztowy nie ma takich moliwoci. Moliwe jest te
tunelowanie pocze przez SOCKS proxy lub serwer proxy WinGate. Co wicej,
Anubis wspiera take remailery (czyli pozawala na anonimowe wysyanie poczty).

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-pcre \
	--disable-dependency-tracking
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/anubis
install ./examples/defaultrc $RPM_BUILD_ROOT%{_sysconfdir}/anubisrc

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add anubis
if [ -f %{_localstatedir}/lock/subsys/anubis ]; then
	/etc/rc.d/init.d/anubis restart >&2
else
	echo "Run \"/etc/rc.d/init.d/anubis start\" to start anubis." >&2
fi
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1


%preun
if [ "$1" = "0" ]; then
	if [ -f %{_localstatedir}/lock/subsys/anubis ]; then
		/etc/rc.d/init.d/anubis stop
	fi
	/sbin/chkconfig --del anubis
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS README INSTALL NEWS ChangeLog TODO examples
%attr(754,root,root) /etc/rc.d/init.d/anubis
%attr(600,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/anubisrc
%attr(755,root,root) %{_sbindir}/anubis
%{_mandir}/man1/*
%{_infodir}/*info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: anubis.spec,v $
Revision 1.8  2002/10/29 23:57:15  filon
- updated polish description (english was much longer, than polish)
- init sripts was PLD specific from beginning
- release 3

Revision 1.7  2002/09/11 21:44:45  undefine
- typo & working url

Revision 1.6  2002/09/09 19:52:10  areq
- update description from README
- write PLD specyfic init script
- relese 2, STBR

Revision 1.5  2002/09/09 19:29:48  kloczek
- updated to 3.4.6,
- added info files to %files and update info index in %post/%postun
  (added info patch),
TODO: write PLD specyfic init script.

Revision 1.4  2002/08/20 08:13:58  kloczek
- simplification in %build.

Revision 1.3  2002/08/19 15:27:09  tjbynum
- new version, STBR.

Revision 1.2  2002/06/15 08:25:07  filon
- updated to 3.1 (security fixes)
- added br: automake, autoconf
- changed permssions, STBR

Revision 1.1  2002/06/11 23:09:02  filon
- very useful package
- working, STBR
